<?php

namespace App\Dto;

class PaginationDto implements DtoInterface
{
    public int $current_page = 1;
    public int $pages;
    public int $page_size = 12;

    public function __construct(int $page, int $limit, int $total)
    {
        $this->page_size = $limit > 0 ? $limit : 12;

        $this->pages = ceil($total / $this->page_size);

        if (($page > 1) && ($page <= $this->pages)) {
            $this->current_page = $page;
        }
    }
}
